## visad.java3d
Class ImmersaDeskDisplayRendererJ3D

    java.lang.Object
      visad.DisplayRenderer
          visad.java3d.DisplayRendererJ3D
              visad.java3d.ImmersaDeskDisplayRendererJ3D

All Implemented Interfaces:
  ControlListener, EventListener, RendererSourceListener

public class ImmersaDeskDisplayRendererJ3D
extends DisplayRendererJ3D

`ImmersaDeskDisplayRendererJ3D` is the VisAD class for the ImmersaDesk background and metadata rendering algorithm under Java3D.

Field Summary

Fields inherited from class visad.DisplayRenderer
``

Constructor Summary
`ImmersaDeskDisplayRendererJ3D(int tracker_shmkey, int controller_shmkey)` This is the ImmersaDesk `DisplayRenderer` for `DisplayImplJ3D`.

Method Summary
`javax.media.j3d.BranchGroup` `createSceneGraph(javax.media.j3d.View v, javax.media.j3d.TransformGroup vpt, VisADCanvasJ3D c)` Create scene graph root, if none exists, with Transform and direct manipulation root; create 3-D box, lights and `MouseBehaviorJ3D` for embedded user interface.
`void` `setBoxAspect(double[] aspect)` set the aspect for the containing box aspect double[3] array used to scale x, y and z box sizes
`void` `setLineWidth(float width)`
`void` `setRayOn(boolean on, float[] ray_verts)`

Methods inherited from class visad.java3d.DisplayRendererJ3D

`addDirectManipulationSceneGraphComponent, addKeyboardBehavior, addLockedSceneGraphComponent, addSceneGraphComponent, anyDirects, clearScale, clearScales, clearScene, controlChanged, createBasicSceneGraph, createBasicSceneGraph, depth_cursor, destroy, drag_cursor, drag_depth, drawCursorStringVector, findDirect, getBoxOnBranch, getCanvas, getCursor, getCursorOnBranch, getImage, getMouseBehavior, getRoot, getTextureHeightMax, getTextureWidthMax, getTrans, getView, getViewTrans, initControl, legalDataRenderer, makeControl, makeDefaultRenderer, notifyCapture, render_trigger, rendererDeleted, setClip, setCursorLoc, setCursorOn, setDirectOn, setDisplay, setScale, setScale, setScale, setScaleOn, setTransform3D, setWaitFlag`

Methods inherited from class visad.DisplayRenderer

`getAnimationString, getAnimationStringVisible, getBoxOn, getCursorColor, getCursorStringVector, getCursorStringVectorUnconditional, getDirectAxisValue, getDirectAxisValue, getDisplay, getMode2D, getPickThreshhold, getRendererControl, getWaitFlag, getWaitMessageVisible, legalDisplayScalar, prepareAction, setAnimationString, setAnimationStringVisible, setBackgroundColor, setBackgroundColor, setBoxColor, setBoxColor, setBoxOn, setCursorColor, setCursorColor, setCursorStringOn, setCursorStringVector, setCursorStringVector, setForegroundColor, setForegroundColor, setPickThreshhold, setWaitMessageVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImmersaDeskDisplayRendererJ3D

    public ImmersaDeskDisplayRendererJ3D(int tracker_shmkey,
                                         int controller_shmkey)
                                  throws VisADException

  This is the ImmersaDesk `DisplayRenderer` for `DisplayImplJ3D`. It draws a 3-D cube around the scene.

  The left wand button controls the projection by translating in direction wand is pointing The center wand button activates and controls the 3-D cursor by translating the cursor with wand The right wand button is used for direct manipulation by clicking on the depiction of a `Data` object and dragging or re-drawing it.

  Cursor and direct manipulation locations are displayed in RealType values.

  `BadMappingExceptions` and `UnimplementedExceptions` are displayed

Method Detail

### createSceneGraph

    public javax.media.j3d.BranchGroup createSceneGraph(javax.media.j3d.View v,
                                                        javax.media.j3d.TransformGroup vpt,
                                                        VisADCanvasJ3D c)

  Create scene graph root, if none exists, with Transform and direct manipulation root; create 3-D box, lights and `MouseBehaviorJ3D` for embedded user interface.

  Specified by:
    `createSceneGraph` in class `DisplayRendererJ3D`
  Parameters:
    `v` -
    `vpt` -
    `c` -
  Returns:
    Scene graph root.

### setRayOn

    public void setRayOn(boolean on,
                         float[] ray_verts)

### setBoxAspect

    public void setBoxAspect(double[] aspect)

  Description copied from class: `DisplayRenderer`
  set the aspect for the containing box aspect double[3] array used to scale x, y and z box sizes

  Specified by:
    `setBoxAspect` in class `DisplayRenderer`

### setLineWidth

    public void setLineWidth(float width)

  Overrides:
    `setLineWidth` in class `DisplayRendererJ3D`